Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2018-07-25 13:29:41 +0000
committerSravan Kumar Lakkimsetti2018-07-25 13:36:54 +0000
commitd38da00925dc0a192d00c877d4b20ede97b1855f (patch)
tree4081e874e54af0acec6d3eadad517b4ccc54ac7b /production/testScripts/configuration/sdk.tests/testConfigs/linuxjava11/testAll.sh
parent71aa33795ac59c2968f917531b172d0ed016c58e (diff)
downloadeclipse.platform.releng.aggregator-d38da00925dc0a192d00c877d4b20ede97b1855f.tar.gz
eclipse.platform.releng.aggregator-d38da00925dc0a192d00c877d4b20ede97b1855f.tar.xz
eclipse.platform.releng.aggregator-d38da00925dc0a192d00c877d4b20ede97b1855f.zip
Bug 536942 - Running Y build with Java 11 compiler for test results
Change-Id: I26debf45ab305a73c62a18f4386685a93eaa4eac Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
Diffstat (limited to 'production/testScripts/configuration/sdk.tests/testConfigs/linuxjava11/testAll.sh')
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linuxjava11/testAll.sh68
1 files changed, 68 insertions, 0 deletions
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava11/testAll.sh b/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava11/testAll.sh
new file mode 100644
index 000000000..00f47e712
--- /dev/null
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava11/testAll.sh
@@ -0,0 +1,68 @@
+#!/usr/bin/env bash
+
+echo "command line as passed into $(basename ${0}): ${*}"
+echo "command line (quoted) as passed into $(basename ${0}): ${@}"
+
+# This file, localBuildProperties.shsource, should never exist or be needed for production machine,
+# but allows an easy way for a "local user" to provide this file
+# somewhere on the search path ($HOME/bin is common),
+# and it will be included here, thus can provide "override values"
+# to those defined by defaults for production machine.,
+# such as for jvm
+source localBuildProperties.shsource 2>/dev/null
+
+if [[ -z "${propertyFile}" ]]
+then
+ echo "expect property file as environment variable for production runs"
+ exit 1
+fi
+
+if [[ -z "${jvm}" ]]
+then
+ echo "expect jvm as environment variable for production runs"
+ exit 1
+fi
+if [[ -z "${testedPlatform}" ]]
+then
+ echo "expect testedPlatform as environment variable for production runs"
+ exit 1
+fi
+
+echo "PWD: $PWD"
+# in production tests, should already be set by runTests2.xml, so
+# we set to an old version here, to make obvious if not.
+export jvm=${jvm:-/shared/common/jdk-1.6.x86_64/jre/bin/java}
+
+# production machine is x86_64, but some local setups may be 32 bit and will need to provide
+# this value in localBuildProperties.shsource. (
+eclipseArch=${eclipseArch:-x86_64}
+
+# production.properties is used in production tests,
+# need to override on local setups to specify appropriate vm (usually same as jvm).
+# see bug 388269
+export propertyFile=${propertyFile:-platformSpecific.properties}
+
+# in product tests, should be set by runTests2.xml,
+# so we use "vm value", "x.0" at end, to make obvious if that's not working.
+export testedPlatform=${testedPlatform:-linux.gtk.x86_64_x.0}
+
+echo "=== properties in testAll.sh"
+echo " DOWNLOAD_HOST: ${DOWNLOAD_HOST}"
+echo " jvm in testAll: ${jvm}"
+echo " extdir in testAll (if any): ${extdir}"
+echo " propertyFile in testAll: ${propertyFile}"
+echo " buildId in testAll: ${buildId}"
+echo " testedPlatform: ${testedPlatform}"
+echo " ANT_OPTS: ${ANT_OPTS}"
+
+#execute command to run tests
+/bin/chmod 755 runtests.sh
+/bin/mkdir -p results/consolelogs
+
+if [[ -n "${extdir}" ]]
+then
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -extdirprop "${extdir}" -vm "${jvm}" -properties ${propertyFile} "${@}" > results/consolelogs/${testedPlatform}_consolelog.txt
+else
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -vm "${jvm}" -properties ${propertyFile} "${@}" > results/consolelogs/${testedPlatform}_consolelog.txt
+fi
+

Back to the top